pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Successful bootstrap on HP-UX 11.31

On Wed, May 12, 2010 at 10:40:52AM +0200, Tobias Nygren wrote:
> It really shouldn't depend on OpenSSL to exist at all during bootstrap.
> even has a default of PREFER.openssl?=pkgsrc because I know
> there are multiple quirks with the built-in openssl.
> It's possible I don't have the openssl development headers installed on
> my machine which would explain why my bootstrap worked.

In case anyone is keeping track, HP-UX 11.31 went more easily, and with
HP's compiler, but not gcc.  CPPFLAGS=-D_INCLUDE__STDC_A1_SOURCE was the
only extra thing needed.

I'm also wondering about building a gcc; since
doesn't like 11.31, should I do 4.2.3 or try something newer?

Home | Main Index | Thread Index | Old Index